質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.92%

Redmineのプラグイン導入後、エラー発生。

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 3,910

score 16

前提・実現したいこと

Rubyを最近始めた初心者です。
Redmineに新しくプラグインを導入したのですが、
導入後、エラーで引っ掛かり抜け出せない状態です。
(導入したプラグイン:redmine_default_assign)

同様の事象を経験された方がいらっしゃいましたら
何か御助言頂けますと助かります!

発生している問題・エラーメッセージ

apacheのエラーログにて下記のようなエラーが発生しております。

App 27258 stdout:
App 27258 stdout:
[ 2017-06-08 14:02:56.4526 23871/7f83c4043700 App/Implementation.cpp:287 ]: Could not spawn process for application /opt/redmine/sandbox: An error occured while starting up the preloader.
Error ID: 16b0f06e
Error details saved to: /tmp/passenger-error-I1FHQW.html
Message from application: cannot load such file -- /opt/redmine/sandbox/plugins/redmine_default_assign/init.rb (LoadError)
/opt/redmine/sandbox/vendor/bundle/ruby/gems/activesupport-4.2.0/lib/active_support/dependencies.rb:274:in require'   /opt/redmine/sandbox/vendor/bundle/ruby/gems/activesupport-4.2.0/lib/active_support/dependencies.rb:274:in block in require'
/opt/redmine/sandbox/vendor/bundle/ruby/gems/activesupport-4.2.0/lib/active_support/dependencies.rb:240:in load_dependency'   /opt/redmine/sandbox/vendor/bundle/ruby/gems/activesupport-4.2.0/lib/active_support/dependencies.rb:274:in require'
(以下略)

*実行時、「init.rb」ファイルは存在しております。

該当のソースコード

ソースコードの修正は行っておりません。
実施詳細は「試したこと」をご参照下さい。

試したこと

・githubから該当プラグインの最新版をcloneする
・ダウンロードしたディレクトリを「plugins」直下に移動
・rakeコマンドでdbのmigrateをしカラム追加
→この時、NAMEオプションで該当プラグインのみ指定。
・redmine再起動
・ブラウザにて(既にredmineを表示していた画面を)更新しエラー

補足情報(言語/FW/ツール等のバージョンなど)

何か不足点御座いましたらご指示下さい。

Redmine:3.0.0.stable.1649
Ruby:2.0.0-p648 (2015-12-16) [x86_64-linux]
Rails:4.2.0
Environment:production
Database:Mysql2

*プラグインに関しては該当プラグイン含め、
公開されているプラグイン・独自プラグイン等
幾つかインストールされております。既に
インストールされているものとの競合の線も
考えられるのでしょうか?

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • gouf

    2017/06/09 23:52

    Error details saved to: /tmp/passenger-error-I1FHQW.html とありますので、当該ファイルを公開できますか?

    キャンセル

  • akstnhmyrw

    2017/06/10 00:44

    申し訳ありません。該当ファイルは現在手元にないのですが、内容として覚えているところではプラグインを幾つか読んでいる途中、このファイルで読み込みが止まってしまった感じです。別途、必要な場合は後程ですが公開致します!

    キャンセル

回答 3

check解決した方法

0

本日、解決致しました。

エラーが出ていた環境はSELinuxが有効になっている環境で
git cloneしたパスが問題だったようです。

お騒がせ致しました・・・・。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

Default Assignって

Compatible with:    Redmine 2.6.x, 2.5.x, 2.4.x, 2.3.x, 2.2.x

みたいですけど
VMとかにざっくり環境構築してみて、そもそもRedmine3で正しく動作するのか見ておいた方がよいかもです

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/06/10 06:10

    ご回答有難う御座います!

    実は別環境で導入した際には問題がなく導入が出来ており、
    その際はRedmineが3以上の環境でした。
    (別環境はredmine_default_assignのみが導入されている環境です)

    Redmine:3.1.7.stable.16549
    Ruby:2.2.2-p95 (2015-04-13) [x86_64-linux]
    Rails:4.2.7.1
    Environment:production
    Database:Mysql2

    キャンセル

0

お世話になっております。

まだ、自己解決には至っていないのですが、
~~~~~
・githubから該当プラグインの最新版をcloneする
・ダウンロードしたディレクトリを「plugins」直下に移動
☆bundle install☆
・rakeコマンドでdbのmigrateをしカラム追加
→この時、NAMEオプションで該当プラグインのみ指定。
・redmine再起動
・ブラウザにて(既にredmineを表示していた画面を)更新しエラー
~~~~~
手順に「☆」部分を入れる必要は御座いますでしょうか?

別環境では行った手順ではないのですが、
解決の糸口になるかと思い・・・・記載してみました。

「bundle install」を行うことで解消する可能性がありましたら、
別途、ご指示頂けますと幸いです!

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る